Bug 755431 (CVE-2011-4330) - CVE-2011-4330 kernel: hfs: add sanity check for file name length
Summary: CVE-2011-4330 kernel: hfs: add sanity check for file name length
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-4330
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20111109,repor...
Depends On: 755432 755433 770598 782691
Blocks: 755430
TreeView+ depends on / blocked
 
Reported: 2011-11-21 06:01 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:58 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-04 06:47:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0007 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2012-01-11 01:02:46 UTC
Red Hat Product Errata RHSA-2012:0358 normal SHIPPED_LIVE Important: kernel security and bug fix update 2012-03-06 22:42:05 UTC

Description Eugene Teo (Security Response) 2011-11-21 06:01:19 UTC
On a corrupted file system the ->len field could be wrong leading to a buffer overflow.

https://lkml.org/lkml/2011/11/9/303

Upstream commit:
http://git.kernel.org/linus/bc5b8a9003132ae44559edd63a1623

Acknowledgements:

Red Hat would like to thank Clement Lecigne for reporting this issue.

Comment 2 Eugene Teo (Security Response) 2011-11-21 06:08:48 UTC
Statement:

This issue did not affect the Linux kernels as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as they did not include support for the Hierarchical File System (HFS) file system. This has been addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2012-0007.html.

Comment 4 errata-xmlrpc 2012-01-10 20:09:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0007 https://rhn.redhat.com/errata/RHSA-2012-0007.html

Comment 5 Eugene Teo (Security Response) 2012-01-18 07:16:50 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 782691]

Comment 6 errata-xmlrpc 2012-03-06 17:43:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2012:0358 https://rhn.redhat.com/errata/RHSA-2012-0358.html


Note You need to log in before you can comment on or make changes to this bug.